﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 02/09/2024 5:34:49
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS admin_flota_espacial;

CREATE DATABASE admin_flota_espacial
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE admin_flota_espacial;

--
-- Create table `monedero`
--
CREATE TABLE monedero (
  cod_mon int(11) NOT NULL,
  cantidad int(11) DEFAULT NULL,
  PRIMARY KEY (cod_mon)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `criaturas`
--
CREATE TABLE criaturas (
  cod_cria int(11) NOT NULL AUTO_INCREMENT,
  nom_criaturas varchar(20) DEFAULT NULL,
  descripcion text DEFAULT NULL,
  tipo varchar(20) DEFAULT NULL,
  vida_cria int(11) DEFAULT NULL,
  PRIMARY KEY (cod_cria)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `misiones`
--
CREATE TABLE misiones (
  nom_mis varchar(30) NOT NULL,
  informe text DEFAULT NULL,
  dificultad int(11) DEFAULT NULL,
  recompensa int(11) DEFAULT NULL,
  pago int(11) DEFAULT NULL,
  PRIMARY KEY (nom_mis)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `objetos`
--
CREATE TABLE objetos (
  cod_items int(11) NOT NULL,
  nombre varchar(20) DEFAULT NULL,
  descripcion text DEFAULT NULL,
  tipo varchar(30) DEFAULT NULL,
  precio int(11) DEFAULT NULL,
  PRIMARY KEY (cod_items)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `objetos_comprados`
--
CREATE TABLE objetos_comprados (
  id int(11) NOT NULL AUTO_INCREMENT,
  cod_items int(11) DEFAULT NULL,
  disponible tinyint(1) DEFAULT 1,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE objetos_comprados
ADD CONSTRAINT objetos_comprados_ibfk_1 FOREIGN KEY (cod_items)
REFERENCES objetos (cod_items);

--
-- Create table `tripulantes`
--
CREATE TABLE tripulantes (
  n_jugador varchar(20) NOT NULL,
  nombre varchar(30) DEFAULT NULL,
  nivel int(11) DEFAULT NULL,
  vida int(11) DEFAULT NULL,
  origen text DEFAULT NULL,
  PRIMARY KEY (n_jugador)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `tripulante_monedero`
--
CREATE TABLE tripulante_monedero (
  id int(11) NOT NULL AUTO_INCREMENT,
  n_jugador varchar(20) DEFAULT NULL,
  cod_mon int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `n_jugador` on table `tripulante_monedero`
--
ALTER TABLE tripulante_monedero
ADD UNIQUE INDEX n_jugador (n_jugador);

--
-- Create foreign key
--
ALTER TABLE tripulante_monedero
ADD CONSTRAINT tripulante_monedero_ibfk_1 FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador);

--
-- Create foreign key
--
ALTER TABLE tripulante_monedero
ADD CONSTRAINT tripulante_monedero_ibfk_2 FOREIGN KEY (cod_mon)
REFERENCES monedero (cod_mon);

--
-- Create table `registran`
--
CREATE TABLE registran (
  id int(11) NOT NULL AUTO_INCREMENT,
  n_jugador varchar(20) DEFAULT NULL,
  cod_cria int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE registran
ADD CONSTRAINT fk_registran_criaturas FOREIGN KEY (cod_cria)
REFERENCES criaturas (cod_cria);

--
-- Create foreign key
--
ALTER TABLE registran
ADD CONSTRAINT fk_registran_tripulantes FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador);

--
-- Create table `realizan`
--
CREATE TABLE realizan (
  id int(11) NOT NULL AUTO_INCREMENT,
  n_jugador varchar(20) DEFAULT NULL,
  nom_mis varchar(30) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE realizan
ADD CONSTRAINT fk_realizan_misiones FOREIGN KEY (nom_mis)
REFERENCES misiones (nom_mis);

--
-- Create foreign key
--
ALTER TABLE realizan
ADD CONSTRAINT fk_realizan_tripulantes FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador);

--
-- Create table `escriben`
--
CREATE TABLE escriben (
  id int(11) NOT NULL AUTO_INCREMENT,
  n_jugador varchar(20) DEFAULT NULL,
  entrada varchar(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE escriben
ADD CONSTRAINT fk_escriben_tripulantes FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador);

--
-- Create table `compran`
--
CREATE TABLE compran (
  id int(11) NOT NULL AUTO_INCREMENT,
  n_jugador varchar(20) DEFAULT NULL,
  cod_items int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT fk_compran_objetos FOREIGN KEY (cod_items)
REFERENCES objetos (cod_items);

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT fk_compran_tripulantes FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador);

--
-- Create table `clases`
--
CREATE TABLE clases (
  id int(11) NOT NULL AUTO_INCREMENT,
  n_jugador varchar(20) DEFAULT NULL,
  clase varchar(30) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `n_jugador` on table `clases`
--
ALTER TABLE clases
ADD UNIQUE INDEX n_jugador (n_jugador, clase);

--
-- Create foreign key
--
ALTER TABLE clases
ADD CONSTRAINT clases_ibfk_1 FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador);

--
-- Create foreign key
--
ALTER TABLE clases
ADD CONSTRAINT fk_clases_tripulantes FOREIGN KEY (n_jugador)
REFERENCES tripulantes (n_jugador) ON DELETE CASCADE;

--
-- Create table `bitacora`
--
CREATE TABLE bitacora (
  entrada varchar(20) NOT NULL,
  fecha timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  descripcion text DEFAULT NULL,
  PRIMARY KEY (entrada)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table monedero
--
INSERT INTO monedero VALUES
(1, 880);

-- 
-- Dumping data for table criaturas
--
INSERT INTO criaturas VALUES
(3, 'Zyptorix', 'Criatura reptiliana agresiva que vive en sistemas calidos volcanicos.', 'amenaza', 100);

-- 
-- Dumping data for table misiones
--
INSERT INTO misiones VALUES
('Ataque de los geth', 'Los geth han atacado el mundo colonial de Feros. Tu objetivo principal es ir hasta la comunidad de Esperanza de Zhu y averiguar qué quiere Saren y por qué ha enviado tropas geth al planeta.', 1, 1, 200),
('Atrapa al forajido', 'Os buscan para encarcelar a uno de los forajidos mas buscados de la galaxia.', 2, 1, 200);

-- 
-- Dumping data for table objetos
--
INSERT INTO objetos VALUES
(5377, 'Bomba de protones', 'Con esta comba puedes hacer +3 de daño a todos los enemigos.', NULL, 20);

-- 
-- Dumping data for table tripulantes
--
INSERT INTO tripulantes VALUES
('Juanito', 'Elador', 1, 100, 'Al principio de tu carrera militar, te encontraste frente a una fuerza enemiga abrumadora. Arriesgaste tu vida para salvar a tus compañeros y derrotar al enemigo, a pesar de que parecía imposible. Tu valor y tu heroísmo te han hecho ganar medallas y el reconocimiento de la flota de la Alianza.');

-- 
-- Dumping data for table tripulante_monedero
--
-- Table admin_flota_espacial.tripulante_monedero does not contain any data (it is empty)

-- 
-- Dumping data for table registran
--
-- Table admin_flota_espacial.registran does not contain any data (it is empty)

-- 
-- Dumping data for table realizan
--
-- Table admin_flota_espacial.realizan does not contain any data (it is empty)

-- 
-- Dumping data for table objetos_comprados
--
-- Table admin_flota_espacial.objetos_comprados does not contain any data (it is empty)

-- 
-- Dumping data for table escriben
--
-- Table admin_flota_espacial.escriben does not contain any data (it is empty)

-- 
-- Dumping data for table compran
--
-- Table admin_flota_espacial.compran does not contain any data (it is empty)

-- 
-- Dumping data for table clases
--
-- Table admin_flota_espacial.clases does not contain any data (it is empty)

-- 
-- Dumping data for table bitacora
--
-- Table admin_flota_espacial.bitacora does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;